import { connect } from 'herculex';
const app = getApp();
Component(connect({
  mapStateToProps: {
    userInfo: state => state.$global.userInfo,
    titleBarHeight: state => state.$global.titleBarHeight,
    passport: state => state.$global.passport,
    currentCourt: state => state.$global.currentCourt,
    courtInfo: state => state.$global.courtInfo
  }
})({
  props: {
    componentData: {}
  },
  data: {
    imgSrcPrefix: app.globalData.imgSrcPrefix,
    defaultAvatar: 'https://gw.alipayobjects.com/mdn/rms_091500/afts/img/A*ry3aQ6XmhIgAAAAAAAAAAAAAARQnAQ'
  },
  methods: {
    onJumpAreaSelect() {
      my.navigateTo({
        url: '/antbuilder/industry/smartcommunity/pages/area-select/index?src=visit-user'
      });
    }

  }
}));